package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务处理记录对象 szxc_task_recard
 * 
 * @author hs
 * @date 2024-04-28
 */
public class SzxcTaskRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 记录类型(字典) */
    @Excel(name = "记录类型(字典)")
    private String taskRecardType;

    /** 下发部门 */
    @Excel(name = "下发部门")
    private String xfDept;

    /** 下发人 */
    @Excel(name = "下发人")
    private String xfName;

    /** 下发到部门 */
    @Excel(name = "下发到部门")
    private String xfdDept;

    /** 下发到人 */
    @Excel(name = "下发到人")
    private String xfdName;

    /** 转派部门 */
    @Excel(name = "转派部门")
    private String zpDept;

    /** 转派人 */
    @Excel(name = "转派人")
    private String zpName;

    /** 转派到部门 */
    @Excel(name = "转派到部门")
    private String zpdDept;

    /** 转派到人 */
    @Excel(name = "转派到人")
    private String zpdName;

    /** 处理部门 */
    @Excel(name = "处理部门")
    private String clDept;

    /** 处理人 */
    @Excel(name = "处理人")
    private String clName;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String clResult;

    /** 转派人 */
    @Excel(name = "转派人")
    private String clReason;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTaskRecardType(String taskRecardType) 
    {
        this.taskRecardType = taskRecardType;
    }

    public String getTaskRecardType() 
    {
        return taskRecardType;
    }
    public void setXfDept(String xfDept) 
    {
        this.xfDept = xfDept;
    }

    public String getXfDept() 
    {
        return xfDept;
    }
    public void setXfName(String xfName) 
    {
        this.xfName = xfName;
    }

    public String getXfName() 
    {
        return xfName;
    }
    public void setXfdDept(String xfdDept) 
    {
        this.xfdDept = xfdDept;
    }

    public String getXfdDept() 
    {
        return xfdDept;
    }
    public void setXfdName(String xfdName) 
    {
        this.xfdName = xfdName;
    }

    public String getXfdName() 
    {
        return xfdName;
    }
    public void setZpDept(String zpDept) 
    {
        this.zpDept = zpDept;
    }

    public String getZpDept() 
    {
        return zpDept;
    }
    public void setZpName(String zpName) 
    {
        this.zpName = zpName;
    }

    public String getZpName() 
    {
        return zpName;
    }
    public void setZpdDept(String zpdDept) 
    {
        this.zpdDept = zpdDept;
    }

    public String getZpdDept() 
    {
        return zpdDept;
    }
    public void setZpdName(String zpdName) 
    {
        this.zpdName = zpdName;
    }

    public String getZpdName() 
    {
        return zpdName;
    }
    public void setClDept(String clDept) 
    {
        this.clDept = clDept;
    }

    public String getClDept() 
    {
        return clDept;
    }
    public void setClName(String clName) 
    {
        this.clName = clName;
    }

    public String getClName() 
    {
        return clName;
    }
    public void setClResult(String clResult) 
    {
        this.clResult = clResult;
    }

    public String getClResult() 
    {
        return clResult;
    }
    public void setClReason(String clReason) 
    {
        this.clReason = clReason;
    }

    public String getClReason() 
    {
        return clReason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("taskRecardType", getTaskRecardType())
            .append("xfDept", getXfDept())
            .append("xfName", getXfName())
            .append("xfdDept", getXfdDept())
            .append("xfdName", getXfdName())
            .append("zpDept", getZpDept())
            .append("zpName", getZpName())
            .append("zpdDept", getZpdDept())
            .append("zpdName", getZpdName())
            .append("clDept", getClDept())
            .append("clName", getClName())
            .append("clResult", getClResult())
            .append("clReason", getClReason())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
